/*
 * Class ARRAY [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_378 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_378 [] = {0xFF01,237,377,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_378 [] = {0xFF01,377,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_378 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_378 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_378 [] = {0xFF01,377,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_378 [] = {0xFF01,377,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_378 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_378 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_378 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_378 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_378 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_378 [] = {377,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_378 [] = {0xFF01,377,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_378 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_378 [] = {0xFF01,371,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_378 [] = {0xFF01,375,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_378 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_378 [] = {0xFF01,376,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_378 [] = {0xFF01,375,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_378 [] = {0xFF01,377,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_378 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_378 [] = {0xFF01,148,0xFFFF};


static const struct desc_info desc_378[] = {
	{EIF_GENERIC(NULL), 5214, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_378), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_378), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_378), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5269, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_378), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_378), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_378), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_378), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_378), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_378), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_378), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_378), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_378), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_378), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_378), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5224, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_378), 5268, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_378), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2116, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2118, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5263, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5237, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5238, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5272, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5271, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5252, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_378), 3370, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_378), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_378), 4938, 0},
	{EIF_GENERIC(NULL), 4939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4940, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_378), 5221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_378), 5222, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5236, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5241, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4945, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_378), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5216, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5217, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5218, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5219, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5220, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_378), 5223, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5225, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 5226, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 5232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5235, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5240, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5243, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5245, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5246, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5247, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5254, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5255, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5260, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5262, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5264, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_378), 5265, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_378), 5266, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_378), 5267, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_378), 5270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5273, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_378), 5221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_378), 5222, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5236, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5241, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5241, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_378), 5221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_378), 5230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5236, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5228, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5234, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init378(void)
{
	IDSC(desc_378, 0, 377);
	IDSC(desc_378 + 1, 1, 377);
	IDSC(desc_378 + 32, 77, 377);
	IDSC(desc_378 + 41, 129, 377);
	IDSC(desc_378 + 47, 282, 377);
	IDSC(desc_378 + 56, 99, 377);
	IDSC(desc_378 + 58, 81, 377);
	IDSC(desc_378 + 67, 4, 377);
	IDSC(desc_378 + 105, 187, 377);
	IDSC(desc_378 + 111, 256, 377);
	IDSC(desc_378 + 114, 50, 377);
	IDSC(desc_378 + 115, 103, 377);
	IDSC(desc_378 + 117, 229, 377);
	IDSC(desc_378 + 118, 35, 377);
	IDSC(desc_378 + 119, 172, 377);
}


#ifdef __cplusplus
}
#endif
